%global pypi_name pysaml2
%global _description %{expand:
PySAML2 is a pure python implementation of SAML2. It contains all
necessary pieces for building a SAML2 service provider or an identity
provider. The distribution contains examples of both. Originally
written to work in a WSGI environment there are extensions that allow
you to use it with other frameworks.}

Summary:        Python implementation of SAML Version 2 Standard
Name:           python-%{pypi_name}
Version:        7.1.2
Release:        3%{?dist}
License:        Apache License 2.0
URL:            https://github.com/IdentityPython/pysaml2
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-cryptography python3-defusedxml python3-pyOpenSSL python3-dateutil
Requires:       python3-pytz python3-requests python3-setuptools python3-six
Requires:       python3-importlib-resources python3-xmlschema

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 kianli <kianli@tencent.com> - 7.1.2-1
- initial build
